.t-panel-control,
.t-panel-results {
  background-color: white;
  border: #4b5563 1px solid;
  border-radius: 0.5rem;
  padding: 0.625rem;
  width:100%;
}


.t-panel-control-btns {
  border-bottom: #6b7280 1px solid;
  margin-bottom: 2rem;
}
.t-btn-panel,
.t-btn-panel-active {
  margin-left: 0px;
  margin-right: 10px;
  padding: 0.5rem;
}
.t-btn-panel:hover {
  border-bottom: solid #4b5563 2px;
  background-color: #f3f4f6;
}
.t-btn-panel-active {
  color: #1e429f;
  border-bottom: solid #1a56db 2px;
}
.t-btn-panel-active:hover {
  background-color: #ebf5ff;
}

.t-panel-control-config div{
   margin-bottom: 1.5rem;
}
.t-panel-control-config span{
   margin-right: 0.2rem;
  margin-bottom: 0.25rem;
}


.t-btn {
  display: inline-flex;
  align-items: center;
  padding: 0.5rem 1rem;
  text-decoration: none;
  border: 0;
  border-radius: 0.5rem;
  margin-bottom: 0.75rem;
  margin-right: 0.25rem;
  color: #ffffff;
  background-color: #1f2937;
}
.t-btn:hover {
  background-color: #000000;
  cursor: pointer;
}
.t-btn-gray {
  border: 1px solid #9ca3af;
  background-color: #f3f4f6;
  color: #000000;
}
.t-btn-gray:hover {
  background-color: #d1d5db;
}

.t-panel-control label {
  display: block;
  margin-bottom: 0.25rem;
  margin-right: 0.25rem;
}

.t-panel-control input[type="text"],
.t-panel-control input[type="number"] {
  padding: 0.5rem 1rem;
  border: 1px solid;
  border-color: #9ca3af;
  background-color: #f3f4f6;
  color: #111827;
  border-radius: 0.5rem;
  margin-bottom: 0.25rem;
  margin-right: 0.25rem;
}
.t-panel-control input:disabled {
  cursor: not-allowed;
}
.t-panel-control select {
  display: inline-block;
  border: 1px solid;
  border-color: #9ca3af;
  border-radius: 0.5rem;
  background-color: #f3f4f6;
  color: #111827;
  margin-bottom: 0.25rem;
  margin-right: 0.25rem;
  padding: 0.5rem 1rem;
  padding-right: 35px;
  text-overflow: ellipsis;
  width:100%;
}

.t-cfg-graph-colors {
  display: flex;
  align-items: center;
  flex-flow: wrap;
}
.t-cfg-graph-colors div {
  margin-right: 1rem;
  display: inline-flex;
  align-items: center;
  margin-bottom: 0.25rem;
}
.t-panel-control input[type="checkbox"] {
  border-radius: 0.25rem;
  margin-right: 0.2rem;
  margin-bottom: 0.25rem;
}
.t-panel-control input[type="color"] {
  height: 30px;
  width: 50px;
  border-radius: 0.25rem;
  padding: 0.1rem;
  border: 1px solid #9ca3af;
  margin-bottom: 0.25rem;
}

/* RANGE SLIDER */
.t-panel-control input[type="range"] {
  -webkit-appearance: none;
  /* width: 100%; */
  height: 8px;
  background: #f3f4f6;
  border-radius: 9999px;
  border: 1px solid #9ca3af;
  margin-bottom: 0.25rem;
}
.t-panel-control input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background: #1a56db;
  cursor: pointer;
}
.t-panel-control input[type="range"]:disabled::-webkit-slider-thumb {
  background: #9ca3af;
  cursor: not-allowed;
  opacity: 0.7;
}
.t-panel-control input[type="range"]::-moz-range-thumb {
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background: #1a56db;
  cursor: pointer;
}
.t-panel-control input[type="range"]:disabled::-moz-range-thumb {
  background: #9ca3af;
  cursor: not-allowed;
  opacity: 0.7;
}
.t-panel-control input[type="range"]:disabled::-moz-range-track {
  background: #e5e7eb;
  opacity: 0.6;
}

.t-cfg-slider-flex {
  display: flex;
  align-items: baseline;
  flex-flow: wrap;
  gap: 10px;
}
.t-cfg-slider-flex div {
  margin-bottom: 0.25rem;
}


.t-panel-control-data input[type="number"]{
  margin-bottom: 0.75rem;
}

#t_data_table {
  margin-bottom: 1.5rem;
}


/* OUTPUT BLOCK*/
.t-canvas-chart {
  display: block;
  box-sizing: border-box;
  width: 100%;
  margin-bottom: 2rem;
  aspect-ratio: auto 9 / 6;
}



.t-summary-table-box {
  border-radius: 0.5rem;  
  margin-bottom: 0.75rem;  
  border: 1px solid #9ca3af;
  overflow-x: auto;
   width: 100%;
}
.t-summary-table {
    white-space: nowrap;
    min-width: max-content;
    width:100%;
}
.t-summary-table,
.t-summary-table td{
  border: 1px solid #9ca3af;
  border-collapse: collapse;
  box-sizing: border-box; 
}
.t-summary-table tr:first-child td {
  border-top: 0;
}
.t-summary-table tr td:first-child {
  border-left: 0;
}
.t-summary-table tr:last-child td {
  border-bottom: 0;
}
.t-summary-table tr td:last-child {
  border-right: 0;
} 
 .t-summary-table{
    border:0;
 }

.t-summary-table thead {
  font-weight: normal;
  text-align: left;
}
.t-summary-table th {
  padding: 0.75rem;
  background-color: #1f2937 !important;
  color: #ffffff;
}
.t-summary-table tr:nth-child(even) {
  background-color: #f3f4f6;
  color: #222222;
}
.t-summary-table tr:nth-child(odd) {
  background-color: #ffffff;
  color: #222222;
}
.t-summary-table tr:hover {
  background-color: #e5e7eb;
}
.t-summary-table td, .t-summary-table th {
  padding: 0.5rem 1rem;
}



#t_data_error_msg {
  display: block;
  margin-bottom: 10px;
  background-color: #fbd5d5;
  border: 1px solid #f05252;
  color: #9b1c1c;
  padding: 1.5rem;
  border-radius: 0.5rem;
}





.t-flex-center-wrap {
  display: flex;
  align-items: center;
  flex-flow: wrap;
}
.t-flex-baseline-wrap {
  display: flex;
  align-items: baseline;
  flex-flow: wrap;
}

.t-flex-gap-1{
  gap:1rem;
}
.t-w-100 {
  width: 100%;
}
